### Function

# GtkSource Encoding get_default_candidates

#### Declaration [src]

    GSList*
    gtk_source_encoding_get_default_candidates (
      void
    )

#### Description [src]

Gets the list of default candidate encodings to try when loading a file.

See `gtk_source_file_loader_set_candidate_encodings()`.

This function returns a different list depending on the current locale (i.e. language, country and default encoding). The UTF-8 encoding and the current locale encoding are guaranteed to be present in the returned list.

#### Return value

Type: A list of `GtkSourceEncoding*`

The list of default candidate encodings. Free with g_slist_free().

The caller of the function takes ownership of the data container, but not the data inside it.